OpenSSL failed to set ECDH default curve ['module' object has no attribute 'get_elliptic_curve']

#1

Hello folks,

First at all I want to thanks to all Tavendo teammate for amazing works who they did.

Last week I learning intensive twisted and autobahn implementation of websocket protocol.

Everything works fine but, when I want to try some SSL examples i get this error:

2014-12-21 08:50:50+0200 [Router 30215] Using default cipher list.

2014-12-21 08:50:50+0200 [Router 30215] Warning: OpenSSL DH modes not active - missing DH param file

2014-12-21 08:50:50+0200 [Router 30215] Warning: OpenSSL failed to set ECDH default curve [‘module’ object has no attribute ‘get_elliptic_curve’]

2014-12-21 08:50:50+0200 [Controller 30212] Traceback (most recent call last):

2014-12-21 08:50:50+0200 [Controller 30212] File “/home/dimd/projects/middleware/env/local/lib/python2.7/site-packages/crossbar/controller/node.py”, line 190, in run_node_config

2014-12-21 08:50:50+0200 [Controller 30212] yield self._run_node_config(config)

2014-12-21 08:50:50+0200 [Controller 30212] ApplicationError: ApplicationError(‘wamp.error.runtime_error’, args = ([],), kwargs = {})

2014-12-21 08:50:50+0200 [Controller 30212] Main loop terminated.

and I stuck here. so looks I need help, anybody?

result from pip freeze:

Jinja2==2.7.3

MarkupSafe==0.23

PyTrie==0.2

PyYAML==3.11

Pygments==2.0.1

Twisted==14.0.2

argparse==1.2.1

autobahn==0.9.4-2

cffi==0.8.6

characteristic==14.3.0

crossbar==0.9.12

cryptography==0.7

enum34==1.0.4

mistune==0.5

netaddr==0.7.12

pyOpenSSL==0.14

pyasn1==0.1.7

pyasn1-modules==0.0.5

pycparser==2.10

pycrypto==2.6.1

service-identity==14.0.0

setproctitle==1.1.8

shutilwhich==1.0.1

six==1.8.0

wsgiref==0.1.2

zope.interface==4.1.1

python version:

Python 2.7.6 (default, Mar 22 2014, 22:59:56)

OS:

DISTRIB_ID=Ubuntu

DISTRIB_RELEASE=14.04

DISTRIB_CODENAME=trusty

DISTRIB_DESCRIPTION=“Ubuntu 14.04.1 LTS”

OpenSSL:

OpenSSL 1.0.1f 6 Jan 2014

Thanks in advance

D.

0 Likes

#2

Hello,

I solve my issue, following these steps from official docs

http://crossbar.io/docs/Secure-WebSocket-and-HTTPS/

looks like the version of PyOpenSSL which comes with pip have problem with ECDH

0 Likes